net.corda.core.serialization

## Class ImmutableClassSerializer<T>

- net.corda.core.serialization.ImmutableClassSerializer<T>

-     public class ImmutableClassSerializer<T>

  Serializes properties and deserializes by using the constructor. This assumes that all backed properties are set via the constructor and the class is immutable.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImmutableClassSerializer(kotlin.reflect.KClass<T> klass)` Serializes properties and deserializes by using the constructor. This assumes that all backed properties are set via the constructor and the class is immutable.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `kotlin.reflect.KFunction<T>` | `getConstructor()`
    `kotlin.reflect.KClass<T>` | `getKlass()`
    `java.util.List<kotlin.reflect.KProperty1>` | `getProps()`
    `java.util.Map<java.lang.String,kotlin.reflect.KProperty1>` | `getPropsByName()`
    `T` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<T> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, T obj)`

- - ### Constructor Detail

    - #### ImmutableClassSerializer

          public ImmutableClassSerializer(kotlin.reflect.KClass<T> klass)

      Serializes properties and deserializes by using the constructor. This assumes that all backed properties are set via the constructor and the class is immutable.

  - ### Method Detail

    - #### getProps

          public java.util.List<kotlin.reflect.KProperty1> getProps()

    - #### getPropsByName

          public java.util.Map<java.lang.String,kotlin.reflect.KProperty1> getPropsByName()

    - #### getConstructor

          public kotlin.reflect.KFunction<T> getConstructor()

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            T obj)

    - #### read

          public T read(com.esotericsoftware.kryo.Kryo kryo,
                        com.esotericsoftware.kryo.io.Input input,
                        java.lang.Class<T> type)

    - #### getKlass

          public kotlin.reflect.KClass<T> getKlass()